import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        color?: "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "dark" | "none" | undefined;
        large?: boolean | undefined;
        border?: boolean | undefined;
        href?: string | undefined;
        rounded?: boolean | undefined;
        index?: boolean | undefined;
        dismissable?: boolean | undefined;
    };
    events: {
        dismiss: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        closeBtn: {
            handleHide: () => void;
        };
    };
};
export type BadgeProps = typeof __propDef.props;
export type BadgeEvents = typeof __propDef.events;
export type BadgeSlots = typeof __propDef.slots;
/**
 * ## Features
 * [Go to Badge](https://flowbite-svelte.com/docs/components/badge)
 * - Default badge
 * - Large badges
 * - Bordered badge
 * - Pills badge
 * - Badges as links
 * - Badges with icon
 * - Notification badge
 * - Button with badge
 * - Badge with icon only
 * - Dismissable badges
 * ## Props
 * @prop color: 'blue' | 'dark' | 'red' | 'green' | 'yellow' | 'indigo' | 'purple' | 'pink' | 'none' = 'blue';
 * @prop large: boolean = false;
 * @prop border: boolean = false;
 * @prop href: string | undefined = undefined;
 * @prop rounded: boolean = false;
 * @prop index: boolean = false;
 * @prop dismissable: boolean = false;
 * ## Example
 * ```
 * <script>
 *   import { Badge } from 'flowbite-svelte';
 * </script>
 *
 * <Badge>Default</Badge>
 * <Badge color="dark">Dark</Badge>
 * ```
 */
export default class Badge extends SvelteComponentTyped<BadgeProps, BadgeEvents, BadgeSlots> {
}
export {};
//# sourceMappingURL=Badge.svelte.d.ts.map