import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        icon?: boolean | undefined;
        width?: string | undefined;
        height?: string | undefined;
        divClass?: string | undefined;
        hrClass?: string | undefined;
        iconDivClass?: string | undefined;
        textSpanClass?: string | undefined;
        middleBgColor?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type HrProps = typeof __propDef.props;
export type HrEvents = typeof __propDef.events;
export type HrSlots = typeof __propDef.slots;
/**
 * ## Features
 * [Go to Horizontal Line](https://flowbite-svelte.com/docs/typography/hr)
 * - Setup
 * - Default HR
 * - Trimmed
 * - Icon HR
 * - HR with text
 * - HR shape
 * ## Props
 * @prop icon: boolean = false;
 * @prop width: string = 'w-full';
 * @prop height: string = 'h-px';
 * @prop divClass: string = 'inline-flex justify-center items-center w-full';
 * @prop hrClass: string = 'bg-gray-200 rounded border-0 dark:bg-gray-700';
 * @prop iconDivClass: string = 'absolute left-1/2 px-4 bg-white -translate-x-1/2 ';
 * @prop textSpanClass: string = 'absolute left-1/2 px-3 font-medium text-gray-900 bg-white -translate-x-1/2 dark:text-white ';
 * @prop middleBgColor: string = 'dark:bg-gray-900';
 * ## Example
 * ```
 * <script>
 *   import { Hr, P } from 'flowbite-svelte'
 * </script>
 *
 * <P>Track work across the enterprise through an open, collaborative platform. Link issues across Jira and ingest data from other software development tools, so your IT support and operations teams have richer contextual information to rapidly respond to requests, incidents, and changes.</P>
 * <Hr class="my-8" height="h-px" />
 * <P>Deliver great service experiences fast - without the complexity of traditional ITSM solutions.Accelerate critical development work, eliminate toil, and deploy changes with ease, with a complete audit trail for every change.</P>
 * ```
 */
export default class Hr extends SvelteComponentTyped<HrProps, HrEvents, HrSlots> {
}
export {};
//# sourceMappingURL=Hr.svelte.d.ts.map